These fuse packages were originally developed for Fedora Core 4, so read
README.fedora first.

Additional notes by Paul A. Rombouts for use on Scientific Linux 4.x:

Unlike the kernel that ships with Fedora Core 4, the SL 4.x kernel does not have
built-in fuse support. This support is provided by the additional
fuse-kernel-module package. The version and architecture of the kernel-module
package must match that of the kernel exactly. If you can't download a
ready-built kernel-module package matching your kernel, try building one
yourself based on the recompile instructions described in
http://rpm.livna.org/kernel-modules.html .

However, even with the correct kernel-module package installed, the module is
not loaded automatically on demand like in Fedora Core 4.
If you try to mount a fuse-based filesystem like sshfs without a loaded fuse
kernel module, you typically get an error message like this:

  fusermount: failed to open /dev/fuse: No such file or directory

In this case the fuse kernel module must first be explicitly loaded, typically
using modprobe, by the root user. This is a bit of a pain if you want to enable
ordinary users to mount filesystems.

Possible solutions: you can add "modprobe fuse" to one of the system startup
scripts (e.g. /etc/rc.d/rc.local) or enable users in the fuse group to run

  sudo /sbin/modprobe fuse

by adding the following line to /etc/sudoers:

  %fuse ALL = NOPASSWD: /sbin/modprobe fuse
